import { defineProperty as _defineProperty } from './_virtual/_rollupPluginBabelHelpers.mjs';
import { SdkError, formatPublicKey } from '@lorisleiva/js-core';

class ProgramNotRecognizedError extends SdkError {
  constructor(nameOrAddress, cluster) {
    const isName = typeof nameOrAddress === 'string';
    const toString = isName ? nameOrAddress : formatPublicKey(nameOrAddress);
    const clusterString = cluster === '*' ? 'any' : `the [${cluster}]`;
    const message = `The provided program ${isName ? 'name' : 'address'} [${toString}] ` + `is not recognized in ${clusterString} cluster.` + 'Did you forget to register this program? ' + 'If so, you may use "context.programs.add(myProgram)" to fix this.';
    super(message);
    _defineProperty(this, "name", 'ProgramNotRecognizedError');
    this.nameOrAddress = nameOrAddress;
    this.cluster = cluster;
  }
}

export { ProgramNotRecognizedError };
//# sourceMappingURL=errors.mjs.map
