import { Cluster, ClusterFilter, Context, ErrorWithLogs, Program, ProgramError, ProgramRepositoryInterface, PublicKey, Transaction } from '@lorisleiva/js-core';
export declare class DefaultProgramRepository implements ProgramRepositoryInterface {
    protected readonly context: Pick<Context, 'rpc'>;
    protected programs: Program[];
    constructor(context: Pick<Context, 'rpc'>);
    get<T extends Program = Program>(nameOrAddress: string | PublicKey, clusterFilter?: ClusterFilter): T;
    all(clusterFilter?: ClusterFilter): Program[];
    add(program: Program): void;
    resolveError(error: ErrorWithLogs, transaction: Transaction): ProgramError | null;
    protected parseClusterFilter(clusterFilter: ClusterFilter): Cluster | '*';
}
